import csv

# 定义函数，用于清理CSV文件中的异常字符
def clean_csv(input_file, output_file):
    # 打开输入文件和输出文件
    with open(input_file, 'r', encoding='utf-8') as infile, open(output_file, 'w', encoding='utf-8', newline='') as outfile:
        reader = csv.reader(infile)  # 读取CSV文件内容
        writer = csv.writer(outfile)  # 准备写入CSV文件

        # 遍历每一行
        for row in reader:
            # 清理每个单元格中的异常字符
            cleaned_row = [cell.replace('\u2028', '').replace('\u2029', '') for cell in row]
            writer.writerow(cleaned_row)  # 写入清理后的行

# 输入和输出文件路径
input_file = 'results/1-2-fake_job_postings.csv'
output_file = 'results/1-3-fake_job_postings.csv'
clean_csv(input_file, output_file)  # 调用清理函数

# 输出完成消息
print(f"Cleaned CSV file saved as {output_file}")
